import { FunctionComponent } from "react";
import { IconProps } from "./type";

export const AirplaneIcon: FunctionComponent<IconProps> = ({ className }) => {
  return (
    <svg
      width="20"
      height="20"
      viewBox="0 0 22 23"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M21.9928 1.44422L21.9917 1.43775C21.9856 1.37268 21.9904 1.30634 21.958 1.2461C21.8545 1.05274 21.6367 0.948246 21.4199 0.992191C14.7832 2.31934 8.05469 4.77539 1.42188 8.29102C0.472658 8.79395 -0.0624984 9.76953 0.0263688 10.8369C0.114259 11.8916 0.793947 12.7549 1.79981 13.0908L7.88184 15.1182L9.90918 21.2002C10.2451 22.2061 11.1084 22.8857 12.1631 22.9736C12.2402 22.9795 12.3164 22.9834 12.3926 22.9834C13.3682 22.9834 14.2422 22.459 14.709 21.5781C18.1662 15.0555 20.5988 8.44028 21.9408 1.91084C21.9634 1.80056 21.9962 1.48633 21.9928 1.44422ZM1.02344 10.7539C0.979494 10.2354 1.18555 9.54786 1.89063 9.17383C7.88867 5.99512 13.9609 3.69532 19.9678 2.3252L8.14258 14.1504L2.11621 12.1416C1.48633 11.9316 1.07813 11.4131 1.02344 10.7539ZM13.8262 21.1094C13.4531 21.8145 12.7676 22.0215 12.2461 21.9766C11.5869 21.9219 11.0684 21.5137 10.8584 20.8838L8.84961 14.8574L20.6601 3.04694C19.2901 9.04847 17.0025 15.1161 13.8262 21.1094Z"
        fill="currentColor"
      />
    </svg>
  );
};
